Written by
Create embedding secret
Creates the key for embedding.
Request
POST
https://api.datalens.tech/rpc/createEmbeddingSecret
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"title": "example",
"workbookId": "example"
}
|
Name |
Description |
|
title |
Type: string Name of the key for embedding to be created. Example: |
|
workbookId |
Type: string ID of the workbook to associate with the key for embedding. Example: |
Responses
200 OK
Response
Body
application/json
{
"embeddingSecretId": "example",
"privateKey": "example"
}
|
Name |
Description |
|
embeddingSecretId |
Type: string ID of the newly created key for embedding. Example: |
|
privateKey |
Type: string Private key for accessing the embedding. Example: |